org.apache.ignite.internal.processors.cache.persistence.wal.serializer

## Class RecordDataV1Serializer.EncryptedDataEntry

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.DataEntry
  - - org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer.EncryptedDataEntry

Enclosing class:
  RecordDataV1Serializer

    public static class RecordDataV1Serializer.EncryptedDataEntry
    extends DataEntry

Represents encrypted Data Entry (`DataEntry.key`, `value`) pair.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, key, nearXidVer, op, partCnt, partId, val, writeVer`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.DataEntry

`cacheId, expireTime, key, nearXidVersion, op, partitionCounter, partitionCounter, partitionId, toString, value, writeVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020